#
# spec file for package python-oslo.versionedobjects
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-oslo.versionedobjects
Version:        1.35.1
Release:        1.15
Summary:        Oslo Versioned Objects library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/oslo.versionedobjects
Source0:        https://files.pythonhosted.org/packages/source/o/oslo.versionedobjects/oslo.versionedobjects-1.35.1.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-iso8601
BuildRequires:  python2-jsonschema
BuildRequires:  python2-oslo.concurrency
BuildRequires:  python2-oslo.config
BuildRequires:  python2-oslo.context
BuildRequires:  python2-oslo.i18n
BuildRequires:  python2-oslo.log
BuildRequires:  python2-oslo.messaging
BuildRequires:  python2-oslo.serialization
BuildRequires:  python2-oslo.utils
BuildRequires:  python2-oslotest
BuildRequires:  python2-pbr
BuildRequires:  python2-stestr
BuildRequires:  python3-devel
BuildRequires:  python3-iso8601
BuildRequires:  python3-jsonschema
BuildRequires:  python3-oslo.concurrency
BuildRequires:  python3-oslo.config
BuildRequires:  python3-oslo.context
BuildRequires:  python3-oslo.i18n
BuildRequires:  python3-oslo.log
BuildRequires:  python3-oslo.messaging
BuildRequires:  python3-oslo.serialization
BuildRequires:  python3-oslo.utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr
BuildRequires:  python3-stestr
Requires:       python-WebOb
Requires:       python-iso8601
Requires:       python-netaddr
Requires:       python-oslo.concurrency
Requires:       python-oslo.config
Requires:       python-oslo.context
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python2-oslo.messaging
Requires:       python-oslo.serialization
Requires:       python-oslo.utils
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
oslo.versionedobjects library deals with DB schema being at different versions
than the code expects, allowing services to be operated safely during upgrades.
It enables DB independent schema by providing an abstraction layer, which
allows us to support SQL and NoSQL Databases. oslo.versionedobjects is also
used in RPC APIs, to ensure upgrades happen without spreading version dependent
code across different services and projects.

%package -n python-oslo.versionedobjects-doc
Summary:        osloversionedobjects library - Documentation
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme

%description -n python-oslo.versionedobjects-doc
This package contains documentation files for %{name}.

%prep
%autosetup -p1 -n oslo.versionedobjects-1.35.1
%py_req_cleanup

%build
%{python_build}

PYTHONPATH=. sphinx-build -b html doc/source doc/build/html
rm -r doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}

%check
%python_exec -m stestr.cli run

%files %{python_files}
%license LICENSE
%{python_sitelib}/oslo_versionedobjects
%{python_sitelib}/*.egg-info

%files -n python-oslo.versionedobjects-doc
%license LICENSE
%doc doc/build/html README.rst

%changelog
